# patternLayout

abstract fun patternLayout(config: Action<in IvyPatternRepositoryLayout>)

Specifies how the items of the repository are organized.

The layout is configured with the supplied closure.

    repositories {
        ivy {
            patternLayout {
                artifact '[module]/[revision]/[artifact](.[ext])'
                ivy '[module]/[revision]/ivy.xml'
            }
        }
    }

Content copied to clipboard

The available pattern tokens are listed as part of Ivy's Main Concepts documentation.

#### Since

5.0

#### Parameters

config

The action used to configure the layout.